%define name	drivetweak
%define version	0.6
%define release	1mdk
%define summary	Hard-drive tweaking graphical utility

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		System/Configuration/Hardware
Source0:	http://prdownloads.sourceforge.net/drivetweak/%{name}-%{version}.tar.bz2
Source1:	%{name}_48x48.xpm
Source2:	%{name}_32x32.xpm
Source3:	%{name}_16x16.xpm
URL:		http://drivetweak.sourceforge.net
BuildRequires:	libqt2-devel kdelibs-devel libjpeg-devel fam-devel libgtkmm1.2-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
DriveTweak (f/k/a KDriveTweak and ghdparm) is a Linux tool for tweaking
hard drive settings, similar to the command-line program hdparm.
DriveTweak can be used to adjust hard drive settings, including: 
- setting I/O support to 16-bit, 32-bit with sync, or 32-bit;
- transfer mode to PIO, single-word DMA, mutli-word DMA or Ultra DMA;
- the multiple sector count (the number of sectors transferred per I/O
  interrupt) to 0 (disabled), 2, 4, 8 or 16 sectors;
- power mode to normal, sleep, standby or idle SB;
- the time before a drive goes into idle/standby mode;
- sector read-ahead (1-255);
- whether the drive returns to default settings on reset or power-on,
  or on a soft reset;
- CD drive speed;
- currently active CD slot;
- enabling/disabling unmask IRQ (to unmask other interrupts during disk
  interrupt processing);
- release of the drive's interrupt at power-off;
- ignore write errors;
- read-ahead;
- read-only;
- the nice flag (for extra bandwidth when possible);
- the power-saving function of certain Seagate drives;
- permitting APM settings to control the drive;
- configuring DMA (works only on a few drives);
- locking/unlocking the drive door of some removable media drives

%package kde
Group:		System/Configuration/Hardware
Summary: 	KDE version of %{name}
BuildRequires:	libqt2-devel kdelibs-devel libjpeg-devel fam-devel

%description kde
This is KDE version of %{name}.

%package gtk
Group:		System/Configuration/Hardware
Summary: 	GTK version of %{name}
BuildRequires:	libgtkmm1.2-devel

%description gtk
This is GTK version of %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
(cd kde \
&& make -f Makefile.cvs \
&& ./configure --prefix=%{_prefix} --disable-rpath \
&& %make)
(cd gnome \
&& ./configure --prefix=%{_prefix} --disable-rpath \
&& %make)

%install
(cd kde && %makeinstall)
(cd gnome && %makeinstall)

# icons
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}-kde.xpm 
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}-kde.xpm 
install -D -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}-kde.xpm
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}-gtk.xpm 
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}-gtk.xpm 
install -D -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}-gtk.xpm

# menu entriesy
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-kde <<EOF
?package(%{name}-kde):\\
	command="%{_bindir}/%{name}-kde"\\
	needs="X11"\\
	icon="%{name}-kde.xpm"\\
	section="Configuration/Hardware"\\
	title="Drivetweak-KDE" \
	longtitle="KDE version of %{name}"
EOF
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-gtk <<EOF
?package(%{name}-gtk):\\
	command="%{_bindir}/%{name}-gtk"\\
	needs="X11"\\
	icon="%{name}-gtk.xpm"\\
	section="Configuration/Hardware"\\
	title="Drivetweak-GTK" \
	longtitle="GTK version of %{name}"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post kde
%{update_menus}

%postun kde
%{clean_menus}

%post gtk
%{update_menus}

%postun gtk
%{clean_menus}

%files kde
%defattr(-,root,root)
%doc kde/AUTHORS kde/ChangeLog kde/COPYING kde/INSTALL kde/NEWS  kde/README kde/TODO kde/VERSION
%{_bindir}/drivetweak-kde
%{_datadir}/apps/drivetweak-kde/drivetweak-kdeui.rc
%{_menudir}/%{name}-kde
%{_miconsdir}/%{name}-kde.xpm
%{_iconsdir}/%{name}-kde.xpm
%{_liconsdir}/%{name}-kde.xpm

%files gtk
%defattr(-,root,root)
%doc gnome/AUTHORS gnome/ChangeLog gnome/COPYING gnome/INSTALL gnome/NEWS gnome/README gnome/TODO
%{_bindir}/drivetweak-gtk
%{_menudir}/%{name}-gtk
%{_miconsdir}/%{name}-gtk.xpm
%{_iconsdir}/%{name}-gtk.xpm
%{_liconsdir}/%{name}-gtk.xpm

%changelog
* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- added by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- 0.6
	- KDE and GTK versions
	- added menu entries

* Wed Jul 18 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5-1mdk
- first mdk version
